List Connections
Get a paginated list of all connections accessible to your organization.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
tsp_id
fleet_ids
Limit results to specific fleets. Maximum: 100 IDs. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
fleet_refs
Limit results to specific fleet references. Maximum: 100 references. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
cursor
Cursor for the next page
size
Page size
Response
Successful Response
items
total
current_page
Cursor to refetch the current page
current_page_backwards
Cursor to refetch the current page starting from the last item
previous_page
Cursor for the previous page
next_page
Cursor for the next page
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error